Win a copy of Mesos in Action this week in the Cloud/Virtualizaton forum!
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic

I have a problem to start using JSP

 
fethi makhlouf
Ranch Hand
Posts: 50
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hi guys,
i have installed the Tomcat server 5, in order to start using JSP , (on Windows XP), but i dunno why it's never OK? should i change any setting?
Know that i have already used Servlets with "jswdk-1.0.1" and everything is getting Ok!
Any help please?
 
satish patil
Greenhorn
Posts: 4
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
hi
create a new folder in tomacats/webapp/root directory & put ur JSP files in that folder & run the jsp file by using following URL
try it out
 
fethi makhlouf
Ranch Hand
Posts: 50
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hi
I just changed the System (from Win XP to Win 2000) and everythings is getting Ok! servlets and JSP;
Is there any conflict between XP and Tomcat 5.0.18 ?
 
Gert Cuppens
Ranch Hand
Posts: 87
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
I've read a lot about problems with Tomcat 5, sometimes in an XP environment. On the forum of Sun, I've found this message of Frank Rocco :
"You must also have the Java VM installed.
I had this same problem because I just had the sdk installed.
The jre in the sdk folder is private. You also need the java VM installed.
Not sure if this fits your situation, but hope it helps.
Frank "
And for the problem where Tomcat 5 didn't start under XP, this was the solution.

But be sure of one thing : I've seen a topic and a lot of replies about Tomcat 5.0.19 not running under XP and working perfectly under Win 2000.
Another present from Bill ?
[ April 18, 2004: Message edited by: Gert Cuppens ]
 
fethi makhlouf
Ranch Hand
Posts: 50
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Thanks too much Gert
"You must also have the Java VM installed.
I had this same problem because I just had the sdk installed.
The jre in the sdk folder is private. You also need the
java VM installed.
My problem is not the lack of VM, cause it's instelled (1.4)
i have given it the path of the VM on the installation moment!

But be sure of one thing : I've seen a topic and a lot of replies
about Tomcat 5.0.19 not running under XP and working perfectly
under Win 2000.
That's what i did and it's Ok now! but.....WHY?
 
William Brogden
Author and all-around good cowpoke
Rancher
Posts: 13061
6
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
I have run Tomcat 5.0.19 on windows XP just fine. Since you never give the slightest detail about what happened when you tried to run it, I doubt you will ever find out why it didn't work.
Bill
 
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic